Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 261)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 262)
@@ -32,7 +32,6 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
-import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.window.Window;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -72,7 +71,7 @@
 	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
 	// adds a double click listener to the Corpus View
 	static	{
-		CorporaView.addDoubleClickListener(Progression.class, ComputeProgression.class); //$NON-NLS-1$
+		CorporaView.addDoubleClickListener(Progression.class, ComputeProgression.class);
 	}
 	
 	
@@ -82,20 +81,16 @@
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		if (!Toolbox.isSearchEngineInitialized()) return false;
-		
-		if(!this.checkStatsEngine()) {
-			return null;
+
+		if(!this.checkStatsEngine() || !this.checkCorpusEngine()) {
+			return false;
 		}
 
-		
-		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		Object selection = this.getSelection();
 
-		
-		 
-		// Computes a new progression
-		if(selection.getFirstElement() instanceof Corpus)	{
-			Corpus corpus = (Corpus) selection.getFirstElement();
+		// Compute a new progression
+		if(selection instanceof Corpus)	{
+			Corpus corpus = (Corpus) selection;
 
 			if (!Progression.canRunProgression(corpus)) {
 				Log.severe(ProgressionCoreMessages.ComputeProgression_0);
@@ -114,8 +109,8 @@
 
 		}
 		// Reopens a progression result with default preferences
-		else if(selection.getFirstElement() instanceof Progression)	{
-			openEditor((Progression) selection.getFirstElement());
+		else if(selection instanceof Progression)	{
+			openEditor((Progression) selection);
 		}
 		
 		return null;
@@ -277,7 +272,7 @@
 					}
 					monitor.worked(45);
 
-					monitor.subTask(Messages.CreatePartition_9);
+					monitor.subTask(Messages.RefreshingCorporaView);
 					CorporaView.storeResult(corpus, progression);
 					
 					monitor.worked(5);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 261)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/preferences/ProgressionPreferencePage.java	(revision 262)
@@ -39,18 +39,12 @@
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcpapplication.TxmPreferences;
 import org.txm.rcpapplication.jface.DoubleFieldEditor;
-// TODO: Auto-generated Javadoc
+
 /**
- * This class represents a preference page that is contributed to the
- * Preferences dialog. By subclassing <samp>FieldEditorPreferencePage</samp>, we
- * can use the field support built into JFace that allows us to create a page
- * that is small and knows how to save, restore and apply itself.
- * <p>
- * This page is used to modif y preferences only. They are stored in the
- * preference store that belongs to the main plug-in class. That way,
- * preferences can be accessed directly via the preference store.
+ * Progression preference page.
+ * @author sjacquot
+ *
  */
-
 public class ProgressionPreferencePage extends TXMPreferencePage {
 
 
@@ -91,6 +85,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(ProgressionPreferences.PREFERENCES_NODE));
+		//FIXME: description
 		//setDescription("Progression");
 		this.setTitle(ProgressionCoreMessages.RESULT_TYPE);
 		this.setImageDescriptor(ProgressionAdapterFactory.ICON);
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 261)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/dialogs/ProgressionDialog.java	(revision 262)
@@ -58,7 +58,6 @@
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcpapplication.Messages;
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java	(revision 0)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java	(revision 262)
@@ -0,0 +1,237 @@
+package org.txm.progression.rcp.forms;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.custom.SashForm;
+import org.eclipse.swt.custom.ScrolledComposite;
+import org.eclipse.swt.layout.FillLayout;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Table;
+import org.eclipse.swt.widgets.Text;
+import org.txm.rcpapplication.Messages;
+
+
+public class ___ProgressionForm extends Composite {
+	SashForm sashForm;
+	
+	private Table table;
+	private Text scaleTextEdit;
+	private Text regTextEdit;
+	
+	Button btnSupprimer;
+	Button cumulBtn;
+	Button densiBtn;
+	
+	Combo structCombo;
+	Combo propCombo;
+	private Button styleRadio;
+	private Button repeatRadio;
+	private Button NBRadio;
+	private Button btnNewButton;
+
+	/**
+	 * Create the composite.
+	 * @param parent
+	 * @param style
+	 */
+	public ___ProgressionForm(Composite parent, int style) {
+		super(parent, style);
+		setLayout(new GridLayout(1, true));
+		
+		sashForm = new SashForm(this, SWT.VERTICAL);
+		sashForm.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		
+		ScrolledComposite scrolledComposite_1 = new ScrolledComposite(sashForm, SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);
+		scrolledComposite_1.setExpandHorizontal(true);
+		scrolledComposite_1.setExpandVertical(true);
+		
+		Composite composite_1 = new Composite(scrolledComposite_1, SWT.NONE);
+		composite_1.setLayout(new FillLayout(SWT.VERTICAL));
+		
+		Composite composite = new Composite(composite_1, SWT.NONE);
+		composite.setLayout(new GridLayout(5, false));
+		
+		Label label = new Label(composite, SWT.NONE);
+		GridData gd_label = new GridData(SWT.LEFT, SWT.CENTER, false, false, 1, 1);
+		gd_label.widthHint = 29;
+		label.setLayoutData(gd_label);
+		label.setText(Messages.ProgressionForm_0);
+		
+		cumulBtn = new Button(composite, SWT.RADIO);
+		cumulBtn.setText(Messages.ProgressionForm_1);
+		cumulBtn.setSelection(true);
+		
+		densiBtn = new Button(composite, SWT.RADIO);
+		densiBtn.setText(Messages.ProgressionForm_2);
+		
+		Label lblEchelle = new Label(composite, SWT.NONE);
+		lblEchelle.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
+		lblEchelle.setText(Messages.ProgressionForm_3);
+		
+		scaleTextEdit = new Text(composite, SWT.BORDER);
+		scaleTextEdit.setText("1.0"); //$NON-NLS-1$
+		
+		Label lblOptionsDaffichage = new Label(composite, SWT.NONE);
+		lblOptionsDaffichage.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 4, 1));
+		lblOptionsDaffichage.setText(Messages.ProgressionForm_5);
+		new Label(composite, SWT.NONE);
+		
+		Label label_6 = new Label(composite, SWT.NONE);
+		label_6.setText(Messages.ProgressionForm_6);
+		
+		structCombo = new Combo(composite, SWT.NONE);
+		
+		Label label_5 = new Label(composite, SWT.NONE);
+		label_5.setText(Messages.ProgressionForm_7);
+		
+		propCombo = new Combo(composite, SWT.NONE);
+		propCombo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
+		new Label(composite, SWT.NONE);
+		new Label(composite, SWT.NONE);
+		
+		Label label_7 = new Label(composite, SWT.NONE);
+		label_7.setText(Messages.ProgressionForm_8);
+		
+		regTextEdit = new Text(composite, SWT.BORDER);
+		regTextEdit.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false, 2, 1));
+		new Label(composite, SWT.NONE);
+		
+		styleRadio = new Button(composite, SWT.CHECK);
+		styleRadio.setText(Messages.ProgressionForm_9);
+		styleRadio.setSelection(true);
+		
+		repeatRadio = new Button(composite, SWT.CHECK);
+		repeatRadio.setText(Messages.ProgressionForm_10);
+		
+		NBRadio = new Button(composite, SWT.CHECK);
+		NBRadio.setText(Messages.ProgressionForm_11);
+		new Label(composite, SWT.NONE);
+	
+		Composite composite_2 = new Composite(composite_1, SWT.NONE);
+		composite_2.setLayout(new GridLayout(1, false));
+		
+		Composite composite_3 = new Composite(composite_2, SWT.NONE);
+		composite_3.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false, 1, 1));
+		composite_3.setLayout(new FillLayout(SWT.HORIZONTAL));
+		
+		Label lblRequetes = new Label(composite_3, SWT.NONE);
+		lblRequetes.setText(Messages.ProgressionForm_12);
+		
+		btnNewButton = new Button(composite_3, SWT.NONE);
+		btnNewButton.setText(Messages.ProgressionForm_13);
+		
+		btnSupprimer = new Button(composite_3, SWT.NONE);
+		btnSupprimer.setText(Messages.ProgressionForm_14);
+		scrolledComposite_1.setContent(composite_1);
+		scrolledComposite_1.setMinSize(composite_1.computeSize(SWT.DEFAULT, SWT.DEFAULT));
+		
+//		table = new Table(sashForm, SWT.BORDER | SWT.FULL_SELECTION);
+//		table.setHeaderVisible(true);
+//		table.setLinesVisible(true);
+//		sashForm.setWeights(new int[] {215, 334});
+	}
+	
+	public void setTable(Table table) {
+		this.table = table;
+		//table = new Table(sashForm, SWT.BORDER | SWT.FULL_SELECTION);
+		table.setHeaderVisible(true);
+		table.setLinesVisible(true);
+		sashForm.setWeights(new int[] {215, 334});
+	}
+	
+	@Override
+	protected void checkSubclass() {
+		// Disable the check that prevents subclassing of SWT components
+	}
+
+	public SashForm getSash() {
+		return sashForm;
+	}
+	
+	/**
+	 * @return the table
+	 */
+	public Table getTable() {
+		return table;
+	}
+
+	/**
+	 * @return the scaleTextEdit
+	 */
+	public Text getScaleTextEdit() {
+		return scaleTextEdit;
+	}
+
+	/**
+	 * @return the regTextEdit
+	 */
+	public Text getRegTextEdit() {
+		return regTextEdit;
+	}
+
+	/**
+	 * @return the btnSupprimer
+	 */
+	public Button getBtnSupprimer() {
+		return btnSupprimer;
+	}
+
+	/**
+	 * @return the cumulBtn
+	 */
+	public Button getCumulBtn() {
+		return cumulBtn;
+	}
+
+	/**
+	 * @return the densiBtn
+	 */
+	public Button getDensiBtn() {
+		return densiBtn;
+	}
+
+	/**
+	 * @return the structCombo
+	 */
+	public Combo getStructCombo() {
+		return structCombo;
+	}
+
+	/**
+	 * @return the propCombo
+	 */
+	public Combo getPropCombo() {
+		return propCombo;
+	}
+
+	/**
+	 * @return the styleRadio
+	 */
+	public Button getStyleRadio() {
+		return styleRadio;
+	}
+
+	/**
+	 * @return the repeatRadio
+	 */
+	public Button getRepeatRadio() {
+		return repeatRadio;
+	}
+
+	/**
+	 * @return the nBRadio
+	 */
+	public Button getNBRadio() {
+		return NBRadio;
+	}
+
+	/**
+	 * @return the btnNewButton
+	 */
+	public Button getBtnNewButton() {
+		return btnNewButton;
+	}
+}

Property changes on: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/forms/___ProgressionForm.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 261)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 262)
@@ -1,7 +1,7 @@
 package org.txm.progression.rcp.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
+import org.txm.utils.messages.Utf8NLS;
 
 public class ProgressionUIMessages extends NLS {
 
@@ -14,7 +14,7 @@
 
 	static {
 		// initializes resource bundle
-		TXMCoreMessages.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, ProgressionUIMessages.class);
 	}
 	
 	private ProgressionUIMessages() {
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 261)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 262)
@@ -61,7 +61,7 @@
 	
 	
 
-//FIXME: version with TXMBroser old system edition
+//FIXME: version with TXMBrowser old system edition
 //	@Override
 //	public void processEvent(final AWTEvent event, final int eventArea, final Object o) {
 //		
Index: tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle.properties	(revision 261)
+++ tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle.properties	(revision 262)
@@ -1,4 +1,4 @@
-Bundle-Name = Progression
+Bundle-Name = Progression RCP
 page.name = Progression
 command.name = Progression
 command.tooltip = Compute the progression chart of a query
\ No newline at end of file
Index: tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_ru.properties
===================================================================
--- tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 261)
+++ tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 262)
@@ -1,4 +1,4 @@
-Bundle-Name=Прогрессия
+Bundle-Name=Прогрессия RCP
 page.name=Прогрессия
 command.name=Прогрессия
 command.tooltip=Показывает график прогрессии ответов на запрос
\ No newline at end of file
Index: tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 261)
+++ tmp/org.txm.progression.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 262)
@@ -1,4 +1,4 @@
-Bundle-Name = Progression
+Bundle-Name = Progression RCP
 page.name = Progression
 command.name = Progression
 command.tooltip=Calculer le graphique de progression d'une ou plusieurs requêtes
\ No newline at end of file
Index: tmp/org.txm.progression.rcp/plugin.xml
===================================================================
--- tmp/org.txm.progression.rcp/plugin.xml	(revision 261)
+++ tmp/org.txm.progression.rcp/plugin.xml	(revision 262)
@@ -101,5 +101,21 @@
             name="Progression">
       </editor>
    </extension>
+   <extension
+         point="org.eclipse.core.expressions.definitions">
+      <definition
+            id="OneProgressionSelected">
+         <with
+               variable="selection">
+            <iterate
+                  ifEmpty="false"
+                  operator="and">
+               <instanceof
+                     value="org.txm.progression.core.functions.Progression">
+               </instanceof>
+            </iterate>
+         </with>
+      </definition>
+   </extension>
 
 </plugin>
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 261)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 262)
@@ -4,9 +4,10 @@
 Bundle-SymbolicName: org.txm.progression.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.lexicaltable.rcp;bundle-version="1.0.0",
+Require-Bundle: org.txm.progression.core;bundle-version="1.0.0",
+ org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0",
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
- org.txm.progression.core;bundle-version="1.0.0",
  org.txm.chartsengine.rcp;bundle-version="1.0.0",
  org.txm.chartsengine.core,
  org.eclipse.ui.workbench,
@@ -15,7 +16,14 @@
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.rcp,
  org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0",
- org.txm.synopticeditor.rcp
+ org.txm.synopticeditor.rcp,
+ org.eclipse.core.expressions;bundle-version="3.4.600"
 Export-Package: org.txm.progression.rcp.adapters,
- org.txm.progression.rcp.dialogs
+ org.txm.progression.rcp.chartsengine.events,
+ org.txm.progression.rcp.dialogs,
+ org.txm.progression.rcp.editors,
+ org.txm.progression.rcp.forms,
+ org.txm.progression.rcp.handlers,
+ org.txm.progression.rcp.messages,
+ org.txm.progression.rcp.preferences
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties	(revision 261)
+++ tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties	(revision 262)
@@ -1,5 +1,4 @@
 Bundle-Name = Partition RCP
-Bundle-Vendor = TXM
 command.name = Dimensions
 editor.name = Dimensions
 page.name = Partition
Index: tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 261)
+++ tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 262)
@@ -1,5 +1,4 @@
 Bundle-Name = Partition RCP
-Bundle-Vendor = TXM
 command.name = Dimensions
 editor.name = Dimensions
 page.name = Partition
Index: tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 261)
+++ tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 262)
@@ -13,7 +13,7 @@
  org.eclipse.core.expressions;bundle-version="3.4.600"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
-Bundle-Vendor: %Bundle-Vendor
+Bundle-Vendor: Textometrie.org
 Export-Package: org.txm.partition.rcp.adapters,
  org.txm.partition.rcp.handlers,
  org.txm.partition.rcp.messages,
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 261)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 262)
@@ -1,7 +1,7 @@
 package org.txm.partition.rcp.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
+import org.txm.utils.messages.Utf8NLS;
 
 
 /**
@@ -19,7 +19,7 @@
 
 	static {
 		// initialize resource bundle
-		TXMCoreMessages.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
 	}
 
 	private PartitionUIMessages() {
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 261)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 262)
@@ -1,10 +1,16 @@
 package org.txm.partition.core.messages;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
+import org.txm.utils.messages.Utf8NLS;
 
 
-
+/**
+ * Partition core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class PartitionCoreMessages extends NLS {
 
 	private static final String BUNDLE_NAME = "org.txm.partition.core.messages.messages"; //$NON-NLS-1$
@@ -20,7 +26,7 @@
 	
 	static {
 		// initialize resource bundle
-		TXMCoreMessages.initializeMessages(BUNDLE_NAME, PartitionCoreMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionCoreMessages.class);
 	}
 
 	private PartitionCoreMessages() {
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 261)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 262)
@@ -11,12 +11,12 @@
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.messages.PartitionCoreMessages;
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 261)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsPieChartCreator.java	(revision 262)
@@ -3,9 +3,9 @@
 
 import org.jfree.chart.JFreeChart;
 import org.jfree.data.general.DefaultPieDataset;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 261)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 262)
@@ -4,10 +4,10 @@
 import java.util.List;
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.messages.PartitionCoreMessages;
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 261)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsPieChartCreator.java	(revision 262)
@@ -4,10 +4,10 @@
 import java.util.List;
 
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.chartsengine.base.Utils;
 import org.txm.partition.core.functions.PartitionDimensions;
 import org.txm.partition.core.messages.PartitionCoreMessages;
Index: tmp/org.txm.partition.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 261)
+++ tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 262)
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: Partition TBX
+Bundle-Name: Partition Core
 Bundle-SymbolicName: org.txm.partition.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.core;bundle-version="0.7.0",
@@ -16,4 +16,4 @@
  org.txm.partition.core.functions,
  org.txm.partition.core.messages,
  org.txm.partition.core.preferences
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.progression.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 261)
+++ tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 262)
@@ -1,10 +1,11 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: Progression TBX
+Bundle-Name: Progression Core
 Bundle-SymbolicName: org.txm.progression.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.chartsengine.core,
+Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.chartsengine.core,
  org.eclipse.core.runtime,
  org.txm.core;bundle-version="0.7.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
@@ -16,4 +17,4 @@
  org.txm.progression.core.functions,
  org.txm.progression.core.messages,
  org.txm.progression.core.preferences
-Bundle-Vendor: TXM
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 261)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 262)
@@ -581,7 +581,13 @@
 
 	@Override
 	public String getName() {
-		return this.parent.getSimpleName() + ": " + this.getSimpleName();
+		try {
+			return this.parent.getSimpleName() + ": " + this.getSimpleName();			
+		}
+		catch(Exception e) {
+			return super.toString();
+		}
+
 	}
 
 	@Override
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 261)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionChartCreator.java	(revision 262)
@@ -15,12 +15,12 @@
 import org.jfree.ui.RectangleAnchor;
 import org.jfree.ui.TextAnchor;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.chartsengine.jfreechart.themes.highcharts.renderers.ProgressionItemSelectionRenderer;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 261)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionChartCreator.java	(revision 262)
@@ -5,17 +5,17 @@
 
 import org.apache.commons.lang.StringEscapeUtils;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
-import org.txm.core.results.ITXMResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.themes.DefaultTheme;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.ITXMResult;
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
-import org.txm.statsengine.r.core.RWorkspaceException;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 import org.txm.utils.logger.Log;
 
 /**
@@ -155,10 +155,6 @@
 			// TODO Auto-generated catch block
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
-		catch(StatException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
 
 		return file;
 	}
